Back to Xiaohongshu (RedNote)
TikHub·Xiaohongshu (RedNote)
Xiaohongshu App V2: Get product recommendations
/api/v1/xiaohongshu/app_v2/get_product_recommendationssync$0.015 / callGet recommended products list by SKU ID, using cursor pagination (TikHub · Xiaohongshu App V2)
Input
| Field | Type | Required | Description |
|---|---|---|---|
| sku_id | string | yes | Product SKU ID |
| cursor_score | string | — | Pagination cursor, leave empty for first request (default "") |
| region | string | — | Region (default "US") |
Run it
curl -s https://sooma.dev/v1/run \
-H "Authorization: Bearer $SOOMA_API_KEY" \
-H "Content-Type: application/json" \
-d '{"provider":"tikhub","endpoint":"/api/v1/xiaohongshu/app_v2/get_product_recommendations","input":{}}'
Or ask your agent: it will call inspect for this schema and run it over MCP.